// essai d'accès à une base de données en C#

using System;
using System.Data;
using System.Data.OleDb;

public class MainClass
{
  public static void Main(string[] args)
  {
    // chaîne de connexion
    string strAccessConn   = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=Authors.mdb";
    // requête SQL
    string strAccessSelect = "SELECT * FROM Authors";

    // crée le dataset
    DataSet myDataSet = new DataSet();
    myDataSet.Tables.Add("Authors");
    
    // crée les objets d'accès
    OleDbConnection  myAccessConn    = new OleDbConnection(strAccessConn);
    OleDbCommand     myAccessCommand = new OleDbCommand(strAccessSelect,myAccessConn);
    OleDbDataAdapter myDataAdapter   = new OleDbDataAdapter(myAccessCommand);

    // ouverture de la connexion
    myAccessConn.Open();

    // obtention des résultats de la requête
    try
    {
      myDataAdapter.Fill(myDataSet, "Authors");
    } finally {
      myAccessConn.Close();
    }

    // listage de liste des auteurs
    try
    {

      DataRowCollection dra = myDataSet.Tables["Authors"].Rows;
      foreach (DataRow dr in dra)
        Console.WriteLine("Author[{0}] is {1}", dr[0], dr[1]);

    } catch (Exception e) {
      Console.WriteLine("Uncaught exception !\n", e);
    }
  }
}

// End of DBAccess.cs
